<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sqx.modules.activity.dao.ActivityGoodsDao">

    <resultMap id="goodsActivityVo" type="com.sqx.modules.activity.bo.GoodsActivityBO">
        <id column="id" property="id"/>
        <result column="title" property="title"/>
        <result column="content" property="content"/>
        <result column="image" property="image"/>
        <result column="enable_flag" property="enableFlag"/>
        <result column="allow_shop" property="allowShop"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="type" property="type"/>
        <result column="config" property="config"/>
        <result column="start_time" property="startTime"/>
        <result column="end_time" property="endTime"/>
        <collection property="goodsIds" ofType="long">
            <result column="goods_id"/>
        </collection>
    </resultMap>
</mapper>